#
# spec file for package sash (Version 3.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sash
License:        Other License(s), see package, FSR
Group:          System/Shells
Autoreqprov:    on
Version:        3.7
Release:        46.2
Summary:        A stand-alone shell with built-in commands
Source:         sash-%{version}.tar.bz2
URL:            http://www.tip.net.au/~dbell
Patch0:         sash-%{version}-install.diff
Patch1:         sash-%{version}-raid.diff
Patch2:         sash-%{version}-include.diff
Patch3:         sash-%{version}-strip.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package includes:

-chgrp, -chmod, -chown, -cmp, -cp, -dd, -echo, -ed, -grep, -gunzip,
-gzip, -kill, -ln, -ls, -mkdir, -mknod, -more, -mount, -mv, -printenv,
-pwd, -rm, -rmdir, -sync, -tar, -touch, -umount, -where



Authors:
--------
    David I. Bell <dbell@canb.auug.org.au>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2
%patch3

%build
export RPM_OPT_FLAGS
make

%install
mkdir -p $RPM_BUILD_ROOT/{bin,%{_mandir}/man1}
make prefix=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc README
/bin/sash
%doc %{_mandir}/man1/sash.1.gz

%changelog -n sash
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 - schwab@suse.de
- User RPM_OPT_FLAGS.
- Don't strip binaries.
* Thu Apr 14 2005 - mjancar@suse.cz
- fix for new kernel headers
* Fri May 28 2004 - mjancar@suse.cz
- fix broken kernel includes
* Fri Feb 27 2004 - mjancar@suse.cz
- update to 3.7
* Thu Feb 26 2004 - hmacht@suse.de
- building as non-root
* Fri Nov 08 2002 - jderfina@suse.cz
- Added buildroot.
- Upgrade to version 3.6.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Aug 13 2001 - snwint@suse.de
- added 'raidautorun' command (RAID_AUTORUN ioctl on /dev/md0)
* Mon Feb 26 2001 - pblaha@suse.cz
- add URL
* Wed Feb 16 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Dec 06 1999 - kukuk@suse.de
- Update to version 3.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jun 25 1999 - kukuk@suse.de
- Update to version 3.3
* Wed Jun 09 1999 - kukuk@suse.de
- Update to version 3.2
* Mon May 24 1999 - kukuk@suse.de
- Update to version 3.1
* Tue Feb 09 1999 - kukuk@suse.de
- initial package: version 2.1
